﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class ReadClaims : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        ModelFacade facade = new ModelFacade();
        List<Claim> claims = facade.getClaims();
        List<Claim>.Enumerator enumer = claims.GetEnumerator();
        enumer.MoveNext();
        while (enumer.Current != null)
        {
            Claim claim = enumer.Current;
            TableCell cell1 = new TableCell();
            cell1.Text = claim.DateOfClaim.ToString();
            TableCell cell2 = new TableCell();
            cell2.Text = claim.Description;
            TableCell cell3 = new TableCell();
            cell3.Text = claim.Reference;
            TableRow row = new TableRow();
            row.Cells.Add(cell1); 
            row.Cells.Add(cell2);
            row.Cells.Add(cell3);
            Table1.Rows.Add(row);
            enumer.MoveNext();
        }
    }
}
