﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class ClaimApproval : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DropDownList1.AutoPostBack = true;
        if (!IsPostBack) LoadClaims();
    }
    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        String claimRef = DropDownList1.SelectedValue;
        if (claimRef != "")
        {
            ModelFacade facade = new ModelFacade();
            Claim myClaim = facade.getClaimByRef(claimRef);
            myClaim.IsApproved = true;
            facade.updateClaim(myClaim);
            ClaimRefLabel.Text = "Claim reference " + myClaim.Reference + " has been approved";
            LoadClaims();
        }
    }
    
    private void LoadClaims()
    {
        ModelFacade facade = new ModelFacade(); 
        var claimRefs =
            from d in facade.getClaims("where approved = 'N'") select d.Reference;
        DropDownList1.DataSource = (new String[] { "" }).Concat(claimRefs);
        DropDownList1.DataBind();
    }
}


