﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class ClaimForm3 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session.IsNewSession)
        {
            Response.Redirect("ClaimForm1.aspx");
        }
        ModelFacade facade = new ModelFacade();
        ClaimFormDTO claimFormDTO = (ClaimFormDTO) Session["ClaimFormDTO"];
        Claim claim = facade.createClaim(claimFormDTO);
        if (claim.Policy.Type == "contents")
        {
            PolicyTypeImage.ImageUrl = "contents.gif";
        }
        else
        {
            PolicyTypeImage.ImageUrl = "buildings.gif";
        }
        Reference.Text = claim.Reference;
        ClaimDate.Text = claim.DateOfClaim.ToString();
        Approved.Text = claim.IsApproved.ToString();
        Policy.Text = claim.Policy.Number.ToString();
        Type.Text = claim.Policy.Type;
        Amount.Text = claim.Amount.ToString();
        Description.Text = claim.Description;
        Session.Abandon();
    }
}
